Bug 1294986 - Push 0.6.7-2 build to updates?
Push 0.6.7-2 build to updates?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-PyMySQL (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julien Enselme
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 08:22 EST by Terje Røsten
Modified: 2016-01-14 04:49 EST (History)
1 user (show)

See Also:
Fixed In Version: python-PyMySQL-0.6.7-4.fc23 python-PyMySQL-0.6.7-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:54:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2015-12-31 08:22:09 EST
Description of problem:

Seems like only 0.6.7-1 has been pushed to updates, can you please push the 0.6.7-2 build too?
Comment 1 Julien Enselme 2015-12-31 09:50:51 EST
The 0.6.7-2 version was originally created for el7, that's why I didn't intent to push in Fedora at first. Nevertheless, I just tried it, but I don't seem to be able to do it:

> fedora.client.bodhi.BodhiClientException: Invalid tag: python-PyMySQL-0.6.7-2.fc22 tagged with [u'epel7-testing-candidate', u'dist-6E-epel-testing-candidate', u'dist-5E-epel-testing-candidate', u'f22-updates-candidate', u'f23-updates-candidate', u'f21-updates-candidate']
> Cannot find release associated with build: python-PyMySQL-0.6.7-2.fc22, tags: []
> Could not generate update request: Command 'bodhi --new --release f22 --file bodhi.template python-PyMySQL-0.6.7-2.fc22 --username jujens' returned non-zero exit status 1

According to the changelog, there's nothing interesting for fedora.

* Wed Nov  4 2015 Haïkel Guémar <> - 0.6.7-2
- Drop unnecessary mariadb requirement
- Add python3 conditionals in order to rebuild it in EL7

So, I'd like to leave it there if it's OK for you. If you really need the update, I can dig more into it and maybe do a new build in order to push it. Keep me posted.
Comment 2 Terje Røsten 2015-12-31 11:07:03 EST
I think the mariadb version of /usr/bin/mysql can't connect to a mysql account with expired flag set, mixing community-mysql, community-mysql-sever and python-PyMySQL is then not possible.

No good idea about the bodhi ussue, maybe try the web gui?
Comment 3 Julien Enselme 2016-01-04 06:36:46 EST
> No good idea about the bodhi ussue, maybe try the web gui?

I have the same problem with the web gui.

> I think the mariadb version of /usr/bin/mysql can't connect to a mysql account with expired flag set, mixing community-mysql, community-mysql-sever and python-PyMySQL is then not possible.

I fail to see if this is a problem with the package or PyMySQL itself. Do you mean that it would work better without the requirement on mariadb?
Comment 4 Terje Røsten 2016-01-04 13:50:17 EST
> > No good idea about the bodhi ussue, maybe try the web gui?
> 
> I have the same problem with the web gui.

Ok.

> 
> > I think the mariadb version of /usr/bin/mysql can't connect to a mysql account with expired flag set, 
> > mixing community-mysql, community-mysql-sever and python-PyMySQL is then not possible.
> 
> I fail to see if this is a problem with the package or PyMySQL itself. Do
> you mean that it would work better without the requirement on mariadb?

Let me try to explain:

$ rpm -q mariadb community-mysql-server
mariadb-10.0.21-1.fc23.x86_64
community-mysql-server-5.6.27-1.fc23.x86_64

$ /usr/bin/mysql_install_db  --datadir=/var/lib/mysql --user=mysql --random-passwords

$ service mysqld start

$ cat .mysql_secret 
# The random password set for the root user at Mon Jan  4 19:36:52 2016 (local time):  WR4w3aq_zZixSD7n

$ mysql -uroot -p
Enter password: 
ERROR 1862 (HY000): Your password has expired. To log in you must change it using a client that supports expired passwords.

$ mysql --version
mysql  Ver 15.1 Distrib 10.0.21-MariaDB, for Linux (x86_64) using readline 5.1

$ rpm -qf /usr/bin/mysql
mariadb-10.0.21-1.fc23.x86_64

# Installs community-mysql, and removing mariadb, giving:

$ rpm -qf /usr/bin/mysql
community-mysql-5.6.27-1.fc23.x86_64

$ mysql --version
mysql  Ver 14.14 Distrib 5.6.27, for Linux (x86_64) using  EditLine wrapper

# Now we can connect:

mysql -uroot -p
Enter password: 

Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 5
Server version: 5.6.27
Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.
mysql> 


However, now it's not possible to install python-PyMySQL:

$ dnf install python-PyMySQL
Last metadata expiration check performed 0:38:38 ago on Mon Jan  4 19:07:34 2016.
Error: package python2-PyMySQL-0.6.6-4.fc23.noarch requires mariadb, but none of the providers can be installed.
Comment 5 Julien Enselme 2016-01-04 13:57:29 EST
OK, got it. Working on an update to drop Requires: mariadb.
Comment 6 Terje Røsten 2016-01-04 14:01:18 EST
Great, thanks!
Comment 7 Fedora Update System 2016-01-04 14:29:00 EST
python-PyMySQL-0.6.7-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-766d1ee5a6
Comment 8 Fedora Update System 2016-01-04 14:38:29 EST
python-PyMySQL-0.6.7-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a02c398cc
Comment 9 Fedora Update System 2016-01-05 19:25:01 EST
python-PyMySQL-0.6.7-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a02c398cc
Comment 10 Fedora Update System 2016-01-05 19:29:46 EST
python-PyMySQL-0.6.7-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-766d1ee5a6
Comment 11 Fedora Update System 2016-01-14 03:54:33 EST
python-PyMySQL-0.6.7-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-01-14 04:49:43 EST
python-PyMySQL-0.6.7-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.